import { WindowSrv } from './window.service';
import { DocumentSrv } from './document.service';
import { Renderer } from '@angular/core';
export declare class ClipboardService {
    private _documentService;
    private _windowService;
    private tempTextArea;
    private document;
    private window;
    constructor(_documentService: DocumentSrv, _windowService: WindowSrv);
    readonly isSupported: boolean;
    isTargetValid(element: HTMLInputElement | HTMLTextAreaElement): boolean;
    /**
     * copyFromInputElement
     */
    copyFromInputElement(targetElm: HTMLInputElement | HTMLTextAreaElement, renderer: Renderer): boolean;
    /**
     * Creates a fake textarea element, sets its value from `text` property,
     * and makes a selection on it.
     */
    copyFromContent(content: string, renderer: Renderer): boolean;
    destroy(): void;
    private selectTarget(inputElement, renderer);
    private copyText();
    private clearSelection(inputElement, window);
    private createTempTextArea(doc, window);
}
